Zum Inhalt springen
meniodevelopermenio DashboardVorschau

Get All · Management API

Get All

Management API BetaUser management
GET/Users?partnershipId={partnershipId}&take={take}&skip={skip}

Property Description

Property Data type Description
TotalProfilesCount int The total amount of users available in the partnerhip
Profiles Array[Object] Array of User objects holding the information about the user

Parameter

partnershipIdintErforderlich

the partnershipId id

Beispiel: 10362
takeint

how many users you want to request

Beispiel: 100
skipint

how many users you want to skip

Beispiel: 200

Request-Header

Authorization
BASIC am9obi5kb2VAZXhhbXBsZS5jb206bTJ2SWlzSVlFajBaNHlj
Kontext: User management

Property Description

User (object)

Property Data type Description
Id String The id of the user
Token String The automatically generated token of the user
Firstname String The first name of the user
Surname String The surname of the user
Email String The email of the user
EmployeeId String The employee id of the user
CostCenters Array[Object] Array of Cost center objects holding information about the cost center

Cost center (object)

Property Data type Description
Code String The code of the cost center
StoreId String The id of the store of the cost center
Originaler Blueprint-Ausschnitt
API Blueprint
### Get All [GET]

### Property Description
|Property|Data type|Description|
|:---:|:---:|:---|
|**TotalProfilesCount**|*int*|The total amount of users available in the partnerhip|
|**Profiles**|*Array[Object]*|Array of [`User`](#refUser) objects holding the information about the user|

+ Parameters
    + partnershipId (required, int, `10362`)...the partnershipId id
    + take (optional, int, `100`)...how many users you want to request
    + skip (optional, int, `200`)...how many users you want to skip

+ Request

    + Headers
    
                Authorization : BASIC am9obi5kb2VAZXhhbXBsZS5jb206bTJ2SWlzSVlFajBaNHlj

+ Response 200

    + Body
    
            {
                "TotalProfilesCount": 215,
                "Profiles": [
                    {
                        "Id": "43022d3745be4159a46e75a25905a365",
                        "Token": "372a8849102d48b991576d6552b793bc",
                        "Firstname": "John",
                        "Surname": "Doe",
                        "Email": "john.doe@example.com",
                        "EmployeeId": "ABC-JD-123",
                        "CostCenters": [
                            {
                                "Code": "Test",
                                "StoreId": "ZZZ-ZZZZ"
                            }
                        ]
                    }
                ]
            }